%global modulename tslib

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-tslib
Version:        1.9.3
Release:        1%{?dist}
Summary:        Runtime library for TypeScript helper functions

License:        ASL 2.0
URL:            http://typescriptlang.org/
Source0:        https://registry.npmjs.org/tslib/-/tslib-1.9.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Runtime library for TypeScript helper functions

%package 1.9.3
Summary:        Runtime library for TypeScript helper functions


%description 1.9.3
Runtime library for TypeScript helper functions

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .gitattributes %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tslib.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tslib.es6.html %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tslib.es6.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tslib.html %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tslib.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CopyrightNotice.txt
%doc LICENSE.txt
%doc README.md
%doc docs
%{nodejs_dir}/%{modulename}

%files 1.9.3
%doc CopyrightNotice.txt
%doc LICENSE.txt
%doc README.md
%doc docs
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 1.9.3-1
- Package automatically generated by npm2srpm
